Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | Protected Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand Class Reference
Inheritance diagram for eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand:

## Public Attributes
const | MIGRATION_TABLE = '__migration_ezurlalias_ml'
const | CUSTOM_ALIAS_BACKUP_TABLE = '__migration_backup_custom_alias'
const | GLOBAL_ALIAS_BACKUP_TABLE = '__migration_backup_global_alias'

## Protected Member Functions
| configure ()
| execute (InputInterface $input, OutputInterface $output)
| checkStorage ()
| Checks that configured storage engine is Legacy Storage Engine. More...
| setDefaultTable ()
| Sets storage gateway to the default table. More...
| setMigrationTable ()
| Sets storage gateway to the migration table. More...
| backupCustomLocationAliases ()
| Backups custom Location URL aliases the custom URL alias backup table. More...
| doBackupCustomLocationAliases ()
| Internal method for backing up custom Location URL aliases. More...
| restoreCustomLocationAliases ()
| Restores custom Location URL aliases from the backup table. More...
| doRestoreCustomLocationAliases ()
| Restores custom Location URL aliases from the backup table. More...
| loadPassData (QueryBuilder $queryBuilder, $pass)
| Loads Location data for the given $pass. More...
| storeCustomAliases (array $aliases)
| Stores given custom $aliases to the custom alias backup table. More...
| storeCustomAliasPath ( $locationId, $path, $languageCode, $alwaysAvailable, $forwarding)
| Stores custom URL alias data for $path to the backup table. More...
| combinePaths (array $pathData)
| Combines path data to an array of URL alias paths. More...
| extractPathElements (array $levelData)
| Returns all path element strings found for the given path $levelData. More...
| generateLocationAliases ()
| Generates URL aliases from the Location and Content data to the migration table. More...
| doGenerateLocationAliases ()
| Internal method for generating URL aliases. More...
| backupGlobalAliases ()
| Backups global URL aliases the custom URL alias backup table. More...
| doBackupGlobalAliases ()
| Internal method for backing up global URL aliases. More...
| storeGlobalAlias (UrlAlias $alias)
| Stores given global URL $alias to the global URL alias backup table. More...
| storeGlobalAliasPath ( $resource, $path, $languageCode, $alwaysAvailable, $forwarding)
| Stores global URL alias data for $path to the backup table. More...
| restoreGlobalAliases ()
| Restores global URL aliases from the backup table. More...
| doRestoreGlobalAliases ()
| Restores global URL aliases from the backup table. More...
| publishAliases ($locationId, $parentLocationId, $contentId)
| Publishes URL aliases in all languages for the given parameters. More...
| loadLocationData (QueryBuilder $queryBuilder, $pass)
| Loads Location data for the given $pass. More...
| getTotalLocationCount ()
| Returns total number of Locations in the database. More...
| getTotalLocationContentCount ()
| Returns total number of Content objects having a Location in the database. More...
| getTotalBackupCount ($table)
| Return the number of rows in the given $table (on ID column). More...
| createCustomLocationUrlAliasBackupTable ()
| Creates database table for custom Location URL alias backup. More...
| createGlobalUrlAliasBackupTable ()
| Creates database table for custom URL alias backup. More...
| tableExists ($name)
| Checks if database table $name exists. More...
| isTableEmpty ($name)
| Checks if database table $name is empty. More...
| getProgressBar ($maxSteps)
| Returns configured progress bar helper. More...

## Protected Attributes
| $contentService
| $nameSchemaResolver
| $urlAliasHandler
| $urlAliasGateway
| $connection
| $bulkCount
| $output
| $actionSet

## Detailed Description

Deprecated:
  since 6.7.8, use the ezplatform:urls:regenerate-aliases command instead.

Definition at line 28 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## Member Function Documentation

## ◆ backupCustomLocationAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::backupCustomLocationAliases | ( |  | ) |
| protected

Backups custom Location URL aliases the custom URL alias backup table.

Definition at line 216 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\createCustomLocationUrlAliasBackupTable(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupCustomLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\isTableEmpty(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\tableExists().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\execute().

## ◆ backupGlobalAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::backupGlobalAliases | ( |  | ) |
| protected

Backups global URL aliases the custom URL alias backup table.

Definition at line 620 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\createGlobalUrlAliasBackupTable(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupGlobalAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\isTableEmpty(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\tableExists().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\execute().

## ◆ checkStorage()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::checkStorage | ( |  | ) |
| protected

Checks that configured storage engine is Legacy Storage Engine.

Definition at line 182 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\execute().

## ◆ combinePaths()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::combinePaths | ( | array | $pathData | ) |
| protected

Combines path data to an array of URL alias paths.

Explanation:

Custom Location and global URL aliases can generate NOP entries, which can be taken over by the autogenerated aliases. When multiple languages exists for the Location that took over, multiple entries with the same link will exist on the same level. In that case it will not be possible to reliably reconstruct what was the path for the original custom alias. For that reason we combine path data to get all possible path combinations.

Note: it could happen that original NOP entry was historized after being taken over by the autogenerated alias. So to be complete this would have to take into account history entries as well, but at the moment we lack API to do that.

Proper solution of this problem would be introducing separate database table to store custom/global URL alias data.

See also
  https://jira.ez.no/browse/EZP-20777

Parameters

  array | $pathData |

Returns
  string[]

Definition at line 497 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\extractPathElements().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeCustomAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeGlobalAlias().

## ◆ configure()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::configure | ( |  | ) |
| protected

Definition at line 64 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ createCustomLocationUrlAliasBackupTable()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::createCustomLocationUrlAliasBackupTable | ( |  | ) |
| protected

Creates database table for custom Location URL alias backup.

Definition at line 957 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupCustomLocationAliases().

## ◆ createGlobalUrlAliasBackupTable()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::createGlobalUrlAliasBackupTable | ( |  | ) |
| protected

Creates database table for custom URL alias backup.

Definition at line 981 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupGlobalAliases().

## ◆ doBackupCustomLocationAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::doBackupCustomLocationAliases | ( |  | ) |
| protected

Internal method for backing up custom Location URL aliases.

See also
  \eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::backupCustomLocationAliases()

Definition at line 239 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getProgressBar(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getTotalLocationCount(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\loadLocationData(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeCustomAliases().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupCustomLocationAliases().

## ◆ doBackupGlobalAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::doBackupGlobalAliases | ( |  | ) |
| protected

Internal method for backing up global URL aliases.

See also
  \eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::backupGlobalAliases()

Definition at line 643 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getProgressBar(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeGlobalAlias().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupGlobalAliases().

## ◆ doGenerateLocationAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::doGenerateLocationAliases | ( |  | ) |
| protected

Internal method for generating URL aliases.

See also
  \eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::generateLocationAliases()

Definition at line 566 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getProgressBar(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getTotalLocationContentCount(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getTotalLocationCount(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\loadLocationData(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\publishAliases().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\generateLocationAliases().

## ◆ doRestoreCustomLocationAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::doRestoreCustomLocationAliases | ( |  | ) |
| protected

Restores custom Location URL aliases from the backup table.

See also
  \eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::restoreCustomLocationAliases()

Definition at line 322 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getProgressBar(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getTotalBackupCount(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\loadPassData(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\setDefaultTable(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\setMigrationTable().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\restoreCustomLocationAliases().

## ◆ doRestoreGlobalAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::doRestoreGlobalAliases | ( |  | ) |
| protected

Restores global URL aliases from the backup table.

See also
  \eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::restoreGlobalAliases()

Definition at line 769 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getProgressBar(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\getTotalBackupCount(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\loadPassData(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\setDefaultTable(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\setMigrationTable().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\restoreGlobalAliases().

## ◆ execute()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 111 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\$output, eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupCustomLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupGlobalAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\checkStorage(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\generateLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\restoreCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\restoreGlobalAliases().

## ◆ extractPathElements()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::extractPathElements | ( | array | $levelData | ) |
| protected

Returns all path element strings found for the given path $levelData.

Parameters

  array | $levelData |

Returns
  string[]

Definition at line 525 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\combinePaths().

## ◆ generateLocationAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::generateLocationAliases | ( |  | ) |
| protected

Generates URL aliases from the Location and Content data to the migration table.

Definition at line 543 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doGenerateLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\isTableEmpty(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\tableExists().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\execute().

## ◆ getProgressBar()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::getProgressBar | ( |  | $maxSteps | ) |
| protected

Returns configured progress bar helper.

Parameters

  int | $maxSteps |

Returns
  \Symfony\Component\Console\Helper\ProgressBar

Definition at line 1040 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupCustomLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupGlobalAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doGenerateLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreGlobalAliases().

## ◆ getTotalBackupCount()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::getTotalBackupCount | ( |  | $table | ) |
| protected

Return the number of rows in the given $table (on ID column).

Parameters

  string | $table |

Returns
  int

Definition at line 942 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreGlobalAliases().

## ◆ getTotalLocationContentCount()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::getTotalLocationContentCount | ( |  | ) |
| protected

Returns total number of Content objects having a Location in the database.

The number excludes absolute root Location, which does not have an URL alias.

Definition at line 917 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doGenerateLocationAliases().

## ◆ getTotalLocationCount()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::getTotalLocationCount | ( |  | ) |
| protected

Returns total number of Locations in the database.

The number excludes absolute root Location, which does not have an URL alias.

Definition at line 894 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doGenerateLocationAliases().

## ◆ isTableEmpty()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::isTableEmpty | ( |  | $name | ) |
| protected

Checks if database table $name is empty.

Parameters

  string | $name |

Returns
  bool

Definition at line 1021 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupCustomLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupGlobalAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\generateLocationAliases().

## ◆ loadLocationData()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::loadLocationData | ( | QueryBuilder | $queryBuilder,
|  |  | $pass
| ) |  |
| protected

Loads Location data for the given $pass.

Parameters

  \Doctrine\DBAL\Query\QueryBuilder | $queryBuilder |
  int | $pass |

Returns
  array

Definition at line 877 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doGenerateLocationAliases().

## ◆ loadPassData()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::loadPassData | ( | QueryBuilder | $queryBuilder,
|  |  | $pass
| ) |  |
| protected

Loads Location data for the given $pass.

Parameters

  \Doctrine\DBAL\Query\QueryBuilder | $queryBuilder |
  int | $pass |

Returns
  array

Definition at line 393 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreGlobalAliases().

## ◆ publishAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::publishAliases | ( |  | $locationId,
|  |  | $parentLocationId,
|  |  | $contentId
| ) |  |
| protected

Publishes URL aliases in all languages for the given parameters.

Exceptions

Definition at line 843 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\setDefaultTable(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\setMigrationTable().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doGenerateLocationAliases().

## ◆ restoreCustomLocationAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::restoreCustomLocationAliases | ( |  | ) |
| protected

Restores custom Location URL aliases from the backup table.

Definition at line 295 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\tableExists().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\execute().

## ◆ restoreGlobalAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::restoreGlobalAliases | ( |  | ) |
| protected

Restores global URL aliases from the backup table.

Definition at line 742 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreGlobalAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\tableExists().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\execute().

## ◆ setDefaultTable()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::setDefaultTable | ( |  | ) |
| protected

Sets storage gateway to the default table.

See also
  \eZ\Publish\Core\Persistence\Legacy\Content\UrlAlias\Gateway::TABLE

Definition at line 198 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreCustomLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreGlobalAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\publishAliases().

## ◆ setMigrationTable()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::setMigrationTable | ( |  | ) |
| protected

Sets storage gateway to the migration table.

See also
  \eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::MIGRATION_TABLE

Definition at line 208 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreCustomLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doRestoreGlobalAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\publishAliases().

## ◆ storeCustomAliases()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::storeCustomAliases | ( | array | $aliases | ) |
| protected

Stores given custom $aliases to the custom alias backup table.

Parameters

  \eZ\Publish\SPI\Persistence\Content\UrlAlias[] | $aliases |

Returns
  int

Definition at line 412 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\combinePaths(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeCustomAliasPath().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupCustomLocationAliases().

## ◆ storeCustomAliasPath()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::storeCustomAliasPath | ( |  | $locationId,
|  |  | $path,
|  |  | $languageCode,
|  |  | $alwaysAvailable,
|  |  | $forwarding
| ) |  |
| protected

Stores custom URL alias data for $path to the backup table.

Parameters

  int | $locationId |
  string | $path |
  string | $languageCode |
  bool | $alwaysAvailable |
  bool | $forwarding |

Definition at line 443 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeCustomAliases().

## ◆ storeGlobalAlias()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::storeGlobalAlias | ( | UrlAlias | $alias | ) |
| protected

Stores given global URL $alias to the global URL alias backup table.

Parameters

  \eZ\Publish\SPI\Persistence\Content\UrlAlias | $alias |

Returns
  int

Definition at line 683 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

References eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\combinePaths(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeGlobalAliasPath().

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\doBackupGlobalAliases().

## ◆ storeGlobalAliasPath()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::storeGlobalAliasPath | ( |  | $resource,
|  |  | $path,
|  |  | $languageCode,
|  |  | $alwaysAvailable,
|  |  | $forwarding
| ) |  |
| protected

Stores global URL alias data for $path to the backup table.

Parameters

  string | $resource |
  string | $path |
  string | $languageCode |
  bool | $alwaysAvailable |
  bool | $forwarding |

Definition at line 709 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\storeGlobalAlias().

## ◆ tableExists()

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::tableExists | ( |  | $name | ) |
| protected

Checks if database table $name exists.

Parameters

  string | $name |

Returns
  bool

Definition at line 1009 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupCustomLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\backupGlobalAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\generateLocationAliases(), eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\restoreCustomLocationAliases(), and eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\restoreGlobalAliases().

## Member Data Documentation

## ◆ $actionSet

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$actionSet
| protected

Initial value:
= [
'full' => true,
'autogenerate' => true,
'backup-custom' => true,
'restore-custom' => true,
'backup-global' => true,
'restore-global' => true,
]

Definition at line 55 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ $bulkCount

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$bulkCount
| protected

Definition at line 50 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ $connection

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$connection
| protected

Definition at line 47 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ $contentService

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$contentService
| protected

Definition at line 35 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ $nameSchemaResolver

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$nameSchemaResolver
| protected

Definition at line 38 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ $output

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$output
| protected

Definition at line 53 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

Referenced by eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand\execute().

## ◆ $urlAliasGateway

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$urlAliasGateway
| protected

Definition at line 44 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ $urlAliasHandler

eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::$urlAliasHandler
| protected

Definition at line 41 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ CUSTOM_ALIAS_BACKUP_TABLE

const eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::CUSTOM_ALIAS_BACKUP_TABLE = '__migration_backup_custom_alias'

Definition at line 31 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ GLOBAL_ALIAS_BACKUP_TABLE

const eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::GLOBAL_ALIAS_BACKUP_TABLE = '__migration_backup_global_alias'

Definition at line 32 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

## ◆ MIGRATION_TABLE

const eZ\Bundle\EzPublishMigrationBundle\Command\LegacyStorage\RegenerateUrlAliasesCommand::MIGRATION_TABLE = '__migration_ezurlalias_ml'

Definition at line 30 of file EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php.

The documentation for this class was generated from the following file:

- EzPublishMigrationBundle/Command/LegacyStorage/RegenerateUrlAliasesCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.